> For the complete documentation index, see [llms.txt](https://docs.mozilla.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mozilla.ai/mcpd/cli-reference/mcpd_config_plugins_get.md).

# config plugins get

Get top level configuration for the plugin subsystem or for a specific plugin entry in a category

## Synopsis

Get top level configuration for the plugin subsystem or for a specific plugin entry in a category.

When called without flags, shows plugin-level configuration (e.g. plugin directory). When called with --category and --name, shows the specific plugin entry. Both --category and --name must be provided together.

```
mcpd config plugins get [flags]
```

## Examples

```
  # Get plugin-level configuration
  mcpd config plugins get

  # Get specific plugin entry
  mcpd config plugins get --category authentication --name jwt-auth
```

## Options

```
      --category category   Specify the category (one of: audit, authentication, authorization, content, observability, rate_limiting, validation)
      --format format       Specify the output format (one of: json, text, yaml) (default text)
      --name string         Plugin name
```

## Options inherited from parent commands

```
      --config-file string    path to config file (default ".mcpd.toml")
      --log-level string      log level for mcpd logs (default "info")
      --log-path string       log file path to use for log output
      --runtime-file string   path to runtime (execution context) file that contains env vars, and arguments for your MCP servers (default "/home/runner/.config/mcpd/secrets.dev.toml")
```

## SEE ALSO

* [mcpd config plugins](/mcpd/cli-reference/mcpd_config_plugins.md) - Manage plugin configuration

**Auto generated by spf13/cobra on 14-Aug-2026**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mozilla.ai/mcpd/cli-reference/mcpd_config_plugins_get.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
